xfs_mdrestore(8)

NAME
xfs_mdrestore - restores an XFS metadump image to a filesystem image

SYNOPSIS
xfs_mdrestore [ -gi ] [ -l logdev ] source target
xfs_mdrestore -i [ -l logdev ] source
xfs_mdrestore -V

DESCRIPTION
xfs_mdrestore is a debugging tool that restores a metadata image generated by xfs_metadump(8) to a filesystem. The source argument specifies the location of the metadump image and the target argument specifies the destination for the filesystem image. If the source is -, then the metadata image is read from stdin. This allows the output of be another program such as a compression application to be redirected to xfs_mdrestore. The target can be either a file or a device.

xfs_mdrestore should not be used to restore metadata onto an existing filesystem unless you are completely certain the target can be destroyed.

OPTIONS

-g  Shows restore progress on stdout.

-i  Shows metadump information on stdout. If no target is specified, exits after displaying information. Older metadumps man not include any descriptive information.

-l logdev
    Metadump in v2 format can contain metadata dumped from an external log. In such a scenario, the user has to provide a device to which the log device contents from the metadump file are copied.

-V  Prints the version number and exits.

DIAGNOSTICS
xfs_mdrestore returns an exit code of 0 if all the metadata is successfully restored or 1 if an error occurs.

SEE ALSO
xfs_metadump(8), xfs_repair(8), xfs(5)

BUGS
Email bug reports to linux-xfs@vger.kernel.org.